# HG changeset patch
# User Christophe Capon <christophe.capon@vilogia.fr>
# Date 1270092345 -7200
# Branch 5.3.0
# Node ID 02a9f35407df4c98bd1735caf6c531827562714d
# Parent  da9260dcce12b38f7c9b5bfb3294c8bc8e6becfe
Internationalization support

diff -r da9260dcce12 -r 02a9f35407df nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredAlertProvider.java
--- a/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredAlertProvider.java	Thu Apr 01 05:22:58 2010 +0200
+++ b/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredAlertProvider.java	Thu Apr 01 05:25:45 2010 +0200
@@ -9,10 +9,12 @@
 
 import org.apache.commons.logging.Log;
 import org.apache.commons.logging.LogFactory;
+import org.jboss.seam.international.Messages;
 import org.nuxeo.ecm.alert.Alert;
 import org.nuxeo.ecm.alert.AlertContext;
 import org.nuxeo.ecm.alert.AlertProvider;
 import org.nuxeo.ecm.alert.UserAlerts;
+import org.nuxeo.ecm.alert.util.FreemarkerMethods;
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentLocation;
@@ -31,6 +33,10 @@
 
 import com.nuxeo.ecm.deferredalert.types.DeferredAlertWrapper;
 
+import freemarker.template.TemplateMethodModel;
+import freemarker.template.TemplateModel;
+import freemarker.template.TemplateModelException;
+
 public class DeferredAlertProvider implements AlertProvider {
 
     private DocumentViewCodecManager docLocator = null;
@@ -129,6 +135,7 @@
             ctx.put("template", "deferredAlert");
             ctx.put("alerts", alertList);
             ctx.put("format", w.getAlertDeliveryChannel());
+            FreemarkerMethods.add(ctx);
 
             Collection<RenderingResult> render = rs.process(ctx);
             if (render.size() > 0) {
@@ -215,4 +222,4 @@
 
     }
 
-}
+ }
diff -r da9260dcce12 -r 02a9f35407df nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java
--- a/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java	Thu Apr 01 05:22:58 2010 +0200
+++ b/nuxeo-platform-alert-deferred-core/src/main/java/org/nuxeo/ecm/alert/deferred/core/DeferredRenderingContext.java	Thu Apr 01 05:25:45 2010 +0200
@@ -2,6 +2,7 @@
 
 import java.util.List;
 
+import org.jboss.seam.international.Messages;
 import org.nuxeo.ecm.core.api.DocumentModel;
 import org.nuxeo.ecm.platform.rendering.RenderingEngine;
 import org.nuxeo.ecm.platform.rendering.impl.DefaultRenderingContext;
@@ -38,5 +39,6 @@
         else
             return false;
     }
+    
 
 }
\ No newline at end of file
diff -r da9260dcce12 -r 02a9f35407df nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockAlertProvider.java
--- a/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockAlertProvider.java	Thu Apr 01 05:22:58 2010 +0200
+++ b/nuxeo-platform-alert-lock-core/src/main/java/org/nuxeo/ecm/alert/lock/core/LockAlertProvider.java	Thu Apr 01 05:25:45 2010 +0200
@@ -16,6 +16,7 @@
 import org.nuxeo.ecm.alert.AlertContext;
 import org.nuxeo.ecm.alert.AlertProvider;
 import org.nuxeo.ecm.alert.UserAlerts;
+import org.nuxeo.ecm.alert.util.FreemarkerMethods;
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentLocation;
@@ -164,6 +165,7 @@
             ctx.put("template", "lockAlert");
             ctx.put("docs", docs);
             ctx.put("format", w.getAlertDeliveryChannel());
+            FreemarkerMethods.add(ctx);
 
             Collection<RenderingResult> render = rs.process(ctx);
             if (render.size() > 0) {
diff -r da9260dcce12 -r 02a9f35407df nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskAlertProvider.java
--- a/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskAlertProvider.java	Thu Apr 01 05:22:58 2010 +0200
+++ b/nuxeo-platform-alert-task-core/src/main/java/org/nuxeo/ecm/alert/task/core/TaskAlertProvider.java	Thu Apr 01 05:25:45 2010 +0200
@@ -13,6 +13,7 @@
 import org.nuxeo.ecm.alert.AlertContext;
 import org.nuxeo.ecm.alert.AlertProvider;
 import org.nuxeo.ecm.alert.UserAlerts;
+import org.nuxeo.ecm.alert.util.FreemarkerMethods;
 import org.nuxeo.ecm.core.api.ClientException;
 import org.nuxeo.ecm.core.api.CoreSession;
 import org.nuxeo.ecm.core.api.DocumentLocation;
@@ -103,6 +104,7 @@
             ctx.put("template", "taskAlert");
             ctx.put("docs", docs);
             ctx.put("format", w.getAlertDeliveryChannel());
+            FreemarkerMethods.add(ctx);
 
             Collection<RenderingResult> render = rs.process(ctx);
             if (render.size() > 0) {
